Skip to main content
POST
/
mj
/
submit
/
action
midjourney (action)
curl --request POST \
  --url https://api.example.com/mj/submit/action
Midjourney’s task submission for the action API.
curl -X POST "https://gptproto.com/mj/submit/action" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
  "taskId": "14001934816969359",
  "notifyHook": "string",
  "state": "string"
}'
{
  "error": {
    "message": "Invalid signature",
    "type": "401"
  }
}

Parameters

ParameterTypeRequiredDefaultDescription
customIdstring❌ NoMJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011Customid parameter
taskIdstring❌ No14001934816969359Taskid parameter
notifyHookstring❌ NostringNotifyhook parameter
statestring❌ NostringState parameter